Name:           elice
Version:        0.323
Release:        1%{?dist}
Summary:        PureBasic to C++ translator / compiler
Group:          Development/Languages
License:        GPLv2+
URL:            http://clueonic.org/elice/archive/
Source0:        http://clueonic.org/elice/archive/elice-%{version}.tar.gz
# Tools needed to pack lostlabyrinth resources, traditionaly part of elice
# These can now only be found in lostlaby svn:
# http://lostlaby.svn.sourceforge.net/viewvc/lostlaby/pb/Tools/
Source1:        labytools-20080914.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ruby ruby-racc
Requires:       ruby(abi) = 1.8
Requires:       SDL_image-devel SDL_ttf-devel SDL_mixer-devel SDL_gfx-devel

%description
Elice is a PureBasic (http://www.purebasic.com/) to C++ translator / compiler.
Elice was written to have a Free compiler for Lost Labyrinth
(http://www.lostlabyrinth.com/) an adventure game written in PureBasic, as such
it currently only supports a subset of PureBasic and it provides 2 tools for
packing Lost Labyrinth resources: lostlabyrinth_pack_sound and
lostlabyrinth_pack_graphics.


%prep
%setup -c -q -a 1


%build
pushd %{name}-%{version}
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" %{name} buildlaby/PackerGraphics \
  buildlaby/PackerSound
popd


%check
pushd %{name}-%{version}
make check
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd %{name}-%{version}
make install prefix=%{_prefix} DESTDIR=$RPM_BUILD_ROOT
install -m 755 buildlaby/PackerSound \
  $RPM_BUILD_ROOT%{_bindir}/lostlabyrinth_pack_sounds
install -m 755 buildlaby/PackerGraphics \
  $RPM_BUILD_ROOT%{_bindir}/lostlabyrinth_pack_graphics
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}
%{_bindir}/%{name}
%{_bindir}/lostlabyrinth_pack_*
%{_mandir}/man1/%{name}.1.gz


%changelog
* Mon Nov 24 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.323-1
- New upstream release 0.323

* Sun Sep 14 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.313-1
- New upstream release 0.313

* Wed Jul 30 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.289-1
- New upstream release 0.289

* Fri Jun 13 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.258-1
- Switch from svn snapshot to upstream provided tarbals

* Sat May 31 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.0-0.2.svn257
- Review fixes (bz 448310):
  - use svn export to create tarbal
  - c++ -> C++
  - stop packaging no longer needed lostlaby patches
  - run make check in %%check
  
* Sat May 24 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.0-0.1.svn257
- Initial Fedora Package
